/*
 * Imports delimiter-separated-values, and generates an output
 * reject .dsv file, and a reject report.
 * This SQL script is executed from command line using
 * createDatabase.sh
 */

/** This is the default on UNIX.
 *  Our *.dsv test files are stored as binaries, so this is required
 *  to run tests on Windows: */
* *DSV_ROW_DELIM = \n

/* Ignore error for these two statements */
\c true
DROP TABLE sampletable;
\c false

CREATE TABLE sampletable(id INT, lastUpdate DATE NOT NULL, msg VARCHAR, isValid BOOLEAN);

/* If you dont' set *DSV_TARGET_TABLE, it defaults to the base name of the
   .dsv file. */
* *DSV_TARGET_TABLE = sampletable

/* By default, no reject files are written, and the import will abort upon
 * the first error encountered.  If you set either of these settings, the
 * import will continue to completion if at all possible. */
* *DSV_REJECT_FILE = sample-reject.dsv
* *DSV_REJECT_REPORT = sample-reject.html
\m sample.dsv

/* Enable this line if you want to display all successfully imported data:*/
SELECT * FROM sampletable;

\p
\p See import reject report at '*{*DSV_REJECT_REPORT}'.

COMMIT;
