package com.innoteria.mule.simple;

import org.mule.transformer.AbstractTransformer;
import org.mule.api.transformer.TransformerException;

import java.util.*;

/**
 * Custom transformer that turns a String to a List of Map, the String
 * being the file content, each line is separate with \n and each token
 * is separate with a comma.
 *
 * @author N.Martignole
 */
public class StringToListOfMap extends AbstractTransformer {


    @Override
    protected Object doTransform(Object src, String encoding) throws TransformerException {
        String payload = (String) src;

        if (payload == null) return null;
        StringTokenizer stLine = new StringTokenizer(payload, "\n");

        String line;
        Map m;
        List resultList=new ArrayList();
        StringTokenizer st;
        while (stLine.hasMoreTokens()) {
            line=stLine.nextToken();
            st=new StringTokenizer(line,",");
            m = new HashMap();
            m.put("id", st.nextToken());
            m.put("lastUpdated", st.nextToken());
            m.put("msg", st.nextToken());
            m.put("valid", st.nextToken());
            resultList.add(m);

        }
        return resultList;

    }
}